<template>
  <main>
    <Nav></Nav>
    <transition appear name="fade">
      <div>
        <page-title class="center" :title="'Alle trajecten'"></page-title>
        <trajectories></trajectories>
      </div>
    </transition>
    <router-view></router-view>
  </main>
  <Footer class="footer"></Footer>
</template>

<script>
import PageTitle from '@/components/UI/atoms/PageTitle.vue';
import Trajectories from '@/components/UI/organisms/Trajectories.vue';
import Nav from '@/components/UI/organisms/Nav.vue';
import Footer from '@/components/UI/organisms/Footer.vue';

export default {
  name: 'TrajectoriesPage',
  components: {
    Footer, Nav, Trajectories, PageTitle,
  },
};
</script>

<style scoped>
 main{
   margin-bottom: 15%;
 }
  .center{
    text-align: center;
    margin: 60px auto 100px auto;
  }
  .footer{
    position: fixed;
    bottom: 0;
    width: 100%;
  }
 @media only screen and (max-width: 1150px){
   .footer{
     position: static;
   }
 }
</style>
